Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.deployment.jboss
Class LayoutDeployment

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.Deployment
          org.jboss.portal.theme.deployment.jboss.LayoutDeployment

    public class LayoutDeployment

extends Deployment

Deploy the layouts contained in a WebApplication.

A Web Application can define layouts to be offered to the portal. Layouts are JSPs or Servlets, that take over the job of presenting the rendered content of a portal request to the end device. Layouts need to be announced to the portal via the /WEB-INF/portal-layouts.xml descriptor (see also portal-layouts.dtd)

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Field Summary

Fields inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`mbeanServer, pwa, url`

Constructor Summary
`LayoutDeployment(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer, LayoutDeploymentFactory layoutDeploymentFactory)`

Method Summary
`void` | `create()` Create the resources from this portal web application.
`void` | `destroy()` Destroy (and remove) all the resources from this portal web application that are registered with the portal.

Methods inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`findRepositoryClassLoader, findWEBINFURL, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutDeployment

    public LayoutDeployment(java.net.URL url,
                            PortalWebApp pwa,
                            javax.management.MBeanServer mbeanServer,
                            LayoutDeploymentFactory layoutDeploymentFactory)

Method Detail

### create

    public void create()
                throws org.jboss.deployment.DeploymentException

  Create the resources from this portal web application.

  Overrides:
    `create` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException` - if anything goes wrong

### destroy

    public void destroy()
                 throws org.jboss.deployment.DeploymentException

  Destroy (and remove) all the resources from this portal web application that are registered with the portal.

  Overrides:
    `destroy` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException` - if anything goes wrong

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD